#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Ogg Bitstream Library
Summary(pl.UTF-8):	Biblioteka obsługi strumieni bitowych Ogg
Summary(pt_BR.UTF-8):	Biblioteca libogg
Name:		libogg
Version:	1.3.6
Release:	1
Epoch:		2
License:	BSD
Group:		Libraries
Source0:	https://downloads.xiph.org/releases/ogg/%{name}-%{version}.tar.xz
# Source0-md5:	529275432dff072f63d4ed0f1f961384
Patch0:		%{name}-ac_fixes.patch
URL:		https://www.xiph.org/ogg/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	libtool >= 2:2
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	libogg0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libogg is a library for manipulating Ogg bitstreams. It handles both
making Ogg bitstreams and getting packets from Ogg bitstreams.

%description -l pl.UTF-8
Libogg jest biblioteką do manipulacji strumieniami bitowymi Ogg.
Obsługuje ona zarówno tworzenie strumieni jak i uzyskiwanie pakietów
ze strumieni.

%description -l pt_BR.UTF-8
Ogg e' uma familia de diversos projetos de multimídia e processamento
de sinais. libogg é a biblioteca do formato de codec bitstream para o
codec Vorbis, formando o encoder/decoder de áudio Ogg Vorbis.

%package devel
Summary:	Ogg Bitstream Library Development
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja developerska
Summary(pt_BR.UTF-8):	Bibliotecas para desenvolvimento com o Ogg Vorbis
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libogg0-devel

%description devel
The libogg-devel package contains the header files and documentation
needed to develop applications with libogg.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja potrzebna do rozwijania aplikacji
używających biblioteki libogg.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolvimento com o Ogg
Vorbis.

%package static
Summary:	Ogg Bitstream Static Library
Summary(pl.UTF-8):	Biblioteka statyczna Ogg
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com o Ogg Vorbis
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
The libogg-static package contains the static libraries of libogg.

%description static -l pl.UTF-8
Statyczna biblioteka libogg.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com o Ogg Vorbis.

%prep
%setup -q
%patch -P0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

mv -f $RPM_BUILD_ROOT%{_docdir}/%{name} devel-docs

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES COPYING README.md
%attr(755,root,root) %{_libdir}/libogg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libogg.so.0

%files devel
%defattr(644,root,root,755)
%doc devel-docs/*
%attr(755,root,root) %{_libdir}/libogg.so
%{_libdir}/libogg.la
%{_includedir}/ogg
%{_aclocaldir}/ogg.m4
%{_pkgconfigdir}/ogg.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libogg.a
%endif
%changelog
* Tue Jun 17 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libogg.git;a=log;h=master

* Tue Jun 17 2025 Jakub Bogusz <qboosh@pld-linux.org> 4c5fd18
- updated to 1.3.6

* Tue Jun 17 2025 Jakub Bogusz <qboosh@pld-linux.org> aac7a4f
- use patch -P

* Sun Jun 06 2021 Jan Palus <atler@pld-linux.org> 90067c4
- up to 1.3.5

* Sun Sep 01 2019 Jakub Bogusz <qboosh@pld-linux.org> 50e007b
- updated to 1.3.4

* Thu Nov 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 92dcd8d
- updated to 1.3.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 37d5de7
- x32 rebuild
- release 2 (by relup.sh)

* Wed May 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 158b26e
- updated to 1.3.2 (bugfix)

* Fri May 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 4b5ce94
- updated to 1.3.1

* Sat Aug 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 5276264
- updated to 1.3.0

* Mon Jul 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b777ec4
- rel 2; avoid -L/usr/lib

* Wed Dec 08 2010 lisu <lisu@pld-linux.org> f0cc8f1
- 1.2.2

* Wed Nov 03 2010 Jakub Bogusz <qboosh@pld-linux.org> 3aa34ee
- updated to 1.2.1
- updated ac_fixes patch

* Mon Mar 29 2010 lisu <lisu@pld-linux.org> 2f9e43f
- up to 1.2.0

* Thu Oct 01 2009 Jakub Bogusz <qboosh@pld-linux.org> 950efba
- updated to 1.1.4
- ghost soname symlink

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6dab0cf
- release 3

* Mon Jul 23 2007 witekfl <witekfl@pld-linux.org> 4893b91
- added missing #

* Sat Jul 21 2007 witekfl <witekfl@pld-linux.org> 95ebac5
- added bcond_without static_libs

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f7e4589
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fe4ff0c
- converted to UTF-8

* Sat Nov 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> b73949f
- rel 2

